# Uses of Class
org.apache.sysds.runtime.instructions.spark.CtableSPInstruction

Packages that use CtableSPInstruction
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.spark

## Uses of CtableSPInstruction in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type CtableSPInstruction
Modifier and Type
Method
Description
`static double`
SparkCostUtils.`getCtableInstTime(CtableSPInstruction tableInst, VarStats input1, VarStats input2, VarStats input3, VarStats output, IOCostUtils.IOMetrics executorMetrics)`

## Uses of CtableSPInstruction in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type CtableSPInstruction
Modifier and Type
Method
Description
`static CtableFEDInstruction`
CtableFEDInstruction.`parseInstruction(CtableSPInstruction inst, ExecutionContext ec)`

## Uses of CtableSPInstruction in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return CtableSPInstruction
Modifier and Type
Method
Description
`static CtableSPInstruction`
CtableSPInstruction.`parseInstruction(String inst)`